export interface ShineField {
    key: string;
    shineKey: string;
}
export interface ConditionItemParams {
    key: string;
    value: string;
    condition: string;
}
export interface Movement {
    type: string;
    handleTarget: string;
    showList: any[];
    hiddenList: any[];
    linkUrl: string;
}
export interface MutualConditionList {
    conditionType: string;
    list: ConditionItemParams[];
}
export interface MutualCondition {
    conditionType: string;
    list: MutualConditionList[];
}
export interface MutualOption {
    eventType: string;
    mutualIsCondition: boolean;
    mutualCondition: MutualCondition;
    movement: Movement[];
}
export interface Params {
    key: string;
    value: string;
    link: string;
}
export interface DataSourceOption {
    dataSourceType: string;
    dataSourceUrl: string;
    dataSourceName: string;
    dataSourceIsProxy: boolean;
    dataSourceIsCustom: boolean;
    dataSourceJsonBody: object;
    dataSourceParams: Params[];
    dataSourceHeader: Params[];
}
export interface SeriesType {
    series_type: string;
    bar_series_barWidth: number;
    bar_series_barGap: number;
    bar_series_itemStyle_isBorderRadiusAll: boolean;
    bar_series_itemStyle_borderRadiusAll: number;
    bar_series_itemStyle_borderRadius_leftTop: number;
    bar_series_itemStyle_borderRadius_rightTop: number;
    bar_series_itemStyle_borderRadius_rightBottom: number;
    bar_series_itemStyle_borderRadius_leftBottom: number;
    bar_series_backgroundStyle_isColor: boolean;
    bar_series_backgroundStyle_color: string;
    bar_series_itemStyle_isPure: boolean;
    bar_series_itemStyle_colorPureValue: string;
    bar_series_itemStyle_colorGradientValue: string;
    bar_series_itemStyle_isBorder: boolean;
    bar_series_itemStyle_borderColor: string;
    bar_series_itemStyle_borderWidth: number;
    bar_series_itemStyle_borderType: string;
    bar_series_label_show: boolean;
    bar_series_label_position: string;
    bar_series_label_fontFamily: string;
    bar_series_label_fontSize: number;
    bar_series_label_color: string;
    bar_series_label_fontWeight: string;
    bar_series_label_fontStyle: string;
    line_series_isSmooth: boolean;
    line_series_isShowSymbol: boolean;
    line_series_symbol: string;
    line_series_symbolSize: number;
    line_series_lineStyle_width: number;
    line_series_lineStyle_type: string;
    line_series_lineStyle_isPure: boolean;
    line_series_lineStyle_colorPureValue: string;
    line_series_lineStyle_colorGradientValue: string;
    line_series_itemStyle_borderColor: string;
    line_series_itemStyle_borderWidth: number;
    line_series_itemStyle_borderType: string;
    line_series_label_show: boolean;
    line_series_label_position: string;
    line_series_label_fontFamily: string;
    line_series_label_fontSize: number;
    line_series_label_color: string;
    line_series_label_fontWeight: string;
    line_series_label_fontStyle: string;
    line_series_areaStyle_isPure: boolean;
    line_series_areaStyle_colorPureValue: string;
    line_series_areaStyle_colorGradientValue: string;
}
export interface BLineBarChartComponentProps {
    content: object;
    layerName: string;
    isDisplay: boolean;
    fieldTag: string;
    isRelation: boolean;
    width: string;
    height: string;
    widthValue: string;
    heightValue: string;
    left: string;
    top: string;
    transform: string;
    grid_left: number;
    grid_right: number;
    grid_top: number;
    grid_bottom: number;
    series_list: Array<SeriesType>;
    title_padding_top: number;
    title_padding_bottom: number;
    title_padding_left: number;
    title_padding_right: number;
    title_text: string;
    title_textStyle_fontFamily: string;
    title_textStyle_fontSize: number;
    title_textStyle_color: string;
    title_textStyle_fontWeight: string;
    title_textStyle_fontStyle: string;
    title_x: string;
    title_show: boolean;
    legend_show: boolean;
    legend_textStyle_fontFamily: string;
    legend_textStyle_fontSize: number;
    legend_textStyle_color: string;
    legend_textStyle_fontWeight: string;
    legend_textStyle_fontStyle: string;
    legend_x: string;
    legend_icon: string;
    legend_itemHeight: number;
    legend_itemWidth: number;
    legend_itemGap: number;
    xAxis_show: boolean;
    xAxis_axisLabel_fontFamily: string;
    xAxis_axisLabel_fontSize: number;
    xAxis_axisLabel_color: string;
    xAxis_axisLabel_fontWeight: string;
    xAxis_axisLabel_fontStyle: string;
    xAxis_axisLabel_show: boolean;
    xAxis_axisLabel_isBackgroundColor: boolean;
    xAxis_axisLabel_backgroundColor: string;
    xAxis_axisLabel_padding_left: number;
    xAxis_axisLabel_padding_right: number;
    xAxis_axisLabel_padding_top: number;
    xAxis_axisLabel_padding_bottom: number;
    xAxis_axisLine_show: boolean;
    xAxis_axisLine_lineStyle_color: string;
    xAxis_axisLine_lineStyle_width: number;
    xAxis_axisLine_lineStyle_type: string;
    xAxis_axisTick_show: boolean;
    xAxis_axisTick_length: number;
    xAxis_axisTick_lineStyle_color: string;
    xAxis_axisTick_lineStyle_width: number;
    xAxis_axisTick_lineStyle_type: string;
    xAxis_splitLine_show: boolean;
    xAxis_splitLine_lineStyle_color: string;
    xAxis_splitLine_lineStyle_width: number;
    xAxis_splitLine_lineStyle_type: string;
    yAxis_show: boolean;
    yAxis_axisLabel_fontFamily: string;
    yAxis_axisLabel_fontSize: number;
    yAxis_axisLabel_color: string;
    yAxis_axisLabel_fontWeight: string;
    yAxis_axisLabel_fontStyle: string;
    yAxis_axisLabel_show: boolean;
    yAxis_axisLabel_isBackgroundColor: boolean;
    yAxis_axisLabel_backgroundColor: string;
    yAxis_axisLabel_padding_left: number;
    yAxis_axisLabel_padding_right: number;
    yAxis_axisLabel_padding_top: number;
    yAxis_axisLabel_padding_bottom: number;
    yAxis_axisLine_show: boolean;
    yAxis_axisLine_lineStyle_color: string;
    yAxis_axisLine_lineStyle_width: number;
    yAxis_axisLine_lineStyle_type: string;
    yAxis_axisTick_show: boolean;
    yAxis_axisTick_length: number;
    yAxis_axisTick_lineStyle_color: string;
    yAxis_axisTick_lineStyle_width: number;
    yAxis_axisTick_lineStyle_type: string;
    yAxis_splitLine_show: boolean;
    yAxis_splitLine_lineStyle_color: string;
    yAxis_splitLine_lineStyle_width: number;
    yAxis_splitLine_lineStyle_type: string;
    tooltip_show: boolean;
    tooltip_textStyle_fontFamily: string;
    tooltip_textStyle_fontSize: number;
    tooltip_textStyle_color: string;
    tooltip_textStyle_fontWeight: string;
    tooltip_textStyle_fontStyle: string;
    tooltip_isBackgroundColor: boolean;
    tooltip_backgroundColor: string;
    tooltip_isBorderColor: boolean;
    tooltip_borderColor: string;
    tooltip_padding_top: number;
    tooltip_padding_bottom: number;
    tooltip_padding_left: number;
    tooltip_padding_right: number;
    dataIsFilter: boolean;
    dataFilterCode: string;
    dataIsAutoUpdate: boolean;
    dataAutoUpdateTime: number;
    dataSourceOption: DataSourceOption;
    mutualOption: MutualOption[];
    shineFields: ShineField[];
}
export declare const bLineBarChartDefaultProps: BLineBarChartComponentProps;
export declare const bLineBarChartDefaultPropNames: string[];
